Index: extensions/UserAdvManager/trunk/language/it_IT/help.lang.php
===================================================================
--- extensions/UserAdvManager/trunk/language/it_IT/help.lang.php	(revision 12205)
+++ extensions/UserAdvManager/trunk/language/it_IT/help.lang.php	(revision 12666)
@@ -2,6 +2,4 @@
 global $lang;
 
-$lang['UAM_restricTitle'] = 'Restrizioni per le iscrizzioni';
-$lang['UAM_confirmTitle'] = 'Confirmazzione e validazione delle iscrizzioni';
 $lang['UAM_confirmTitle_d'] = '
 - Generazzione di un\'email d\'informazione<br>
@@ -12,11 +10,8 @@
 ...
 ';
-$lang['UAM_miscTitle'] = 'Monitoraggio degli utenti iscritti ed altre opzioni';
-$lang['UAM_carexcTitle'] = 'Pseudo : Esclusione di caratteri';
 $lang['UAM_carexcTitle_d'] = 'Può essere interessante vietare certi caratteri per i pseudo (ad esempio: negare login contenente &quot;@&quot;). Questa opzione permette di escludere i caratteri o sequenza di caratteri, eventi.<br>
 NB: L\'opzione può anche escludere parole intere.
 <br><br>
 <b style=&quot;color: red;&quot;>Attenzione: questa opzione non ha alcun effetto sui pseudo creati prima della sua attivazione.</b>';
-$lang['UAM_passwTitle'] = 'Rafforzare il livello di sicurezza delle password';
 $lang['UAM_passwTitle_d'] = 'L\'attivazione di questa opzione rende obbligatorio l\'inserimento di una password al momento dell\'iscrizione, e richiede la password scelta dal visitatore di incontrare un livello minimo di complessità. Se la soglia non viene raggiunta, il punteggio conseguito e il punteggio minimo da raggiungere sono visualizzate, insieme con raccomandazioni per aumentare il valore di questa partitura.<br><br>
 Non vi è prova in campo per misurare la complessità di una password, e può permettersi di avere un\'idea del punteggio per definire personalizzati complessi.<br><br>
@@ -24,13 +19,8 @@
 $lang['UAM_passwtestTitle'] = 'Prova la complessità di una password';
 $lang['UAM_passwtestTitle_d'] = 'Inserisci la password per testare e quindi fare clic su &quot;calcolo del punteggio&quot;, per vedere il risultato.';
-$lang['UAM_passwadmTitle'] = 'Applicando agli amministratori';
 $lang['UAM_passwadmTitle_d'] = 'Un amministratore può creare un\'pseudo con o senza l\'applicazione della regola della complessità di calcolo.<br><br>
 Nota: Se l\'account utente creato vuole cambiare la password e il rafforzamento password per gli utenti è attivo, sarà soggetta alla regola.';
-$lang['UAM_mailexcTitle'] = 'L\'esclusione Email domini';
-$lang['UAM_infomailTitle'] = 'E-mail informazioni per l\'utente';
 $lang['UAM_infomailTitle_d'] = 'Questa opzione consente di automatizzare l\'invio di una e-mail le informazioni a un utente al momento dell\'iscrizione o quando cambia la sua password o indirizzo e-mail nel loro profilo.<br><br>
 Il contenuto del messaggio inviato è composto da una parte personalizzabile di introdurre una piccola nota di benvenuto e una parte fissa che indica il login, password e indirizzo di posta elettronica dell\'utente.';
-$lang['UAM_infotxtTitle'] = 'Personalizzazione e-mail informazioni';
-/* TODO */$lang['UAM_confirmtxtTitle'] = 'Customizing the confirmation email';
 /* TODO */$lang['UAM_confirmgrpTitle'] = 'Validation Groups';
 /* TODO */$lang['UAM_confirmgrpTitle_d'] = '<b style=&quot;color: red;&quot;>WARNING : Using validation groups requires that you have created at least one users group and is defined &quot;by default&quot; in Piwigo\'s user groups management.</b><br><br>
@@ -39,21 +29,11 @@
 /* TODO */$lang['UAM_confirmstatTitle_d'] = '<b style=&quot;color: red;&quot;>WARNING : The use of status validation requires that you have kept the &quot;Guest&quot; user with default setting (as user template) for new registered. Note you can set any other user as a template for new registered. Please refer to the Piwigo\'s documentation for more details.</b><br><br>
 The groups are validated for use in conjunction with the &quot;Confirmation of registration&quot;';
-/* TODO */$lang['UAM_validationlimitTitle'] = 'Deadline for registration validation limited';
-/* TODO */$lang['UAM_remailTitle'] = 'Remind unvalidated users';
 /* TODO */$lang['UAM_remailtxt1Title'] = 'Reminder email with new key generated';
 /* TODO */$lang['UAM_remailtxt2Title'] = 'Reminder email without new key generated';
-/* TODO */$lang['UAM_ghosttrackerTitle'] = 'Ghost visitors management';
-/* TODO */$lang['UAM_gttextTitle'] = 'Ghost Tracker\'s reminder message';
-/* TODO */$lang['UAM_lastvisitTitle'] = 'Tracking registered users';
 /* TODO */$lang['UAM_lastvisitTitle_d'] = 'This activates a table in the &quot;Tracking users&quot; tab which are registered users listed on the gallery and the date of their last visit and time spent (in days) since their last visit. Monitoring is purely informative for the administrator of the gallery.';
-/* TODO */$lang['UAM_tipsTitle'] = 'Tips and Examples';
 /* TODO */$lang['UAM_tipsTitle_d'] = 'Tips and various examples of use';
-/* TODO */$lang['UAM_userlistTitle'] = 'Tracking users';
-/* TODO */$lang['UAM_usermanTitle'] = 'Tracking validations';
-/* TODO */$lang['UAM_gtTitle'] = 'Ghost visitors management';
 
 
 // --------- Starting below: New or revised $lang ---- from version 2.14.0
-$lang['UAM_adminconfmailTitle'] = 'Conferma dell\'iscrizione per gli amministratori';
 $lang['UAM_adminconfmailTitle_d'] = '&Egrave; possibile disattivare la convalida solo per gli account utente creato dall\'amministratore Piwigo tramite l\'interfaccia di gestione di utenti.<br><br>
 Attivando questa opzione, la convalida email d\iscrizione verr&agrave; inviato ad ogni utente creato da admin.<br><br>
@@ -108,5 +88,4 @@
 <br><br>
 <b>Table Sorting Function</b>: You can sort the data displayed by clicking on the column headers. Hold the SHIFT key to sort up to 4 simultaneous columns.';
-$lang['UAM_confirmmailTitle'] = 'Conferma della registrazione';
 /*TODO*/$lang['UAM_confirmmailTitle_d'] = 'This option allows a user to either confirm registration by clicking on a link received in an email sent upon registration or the administrator to manually activate the registration.<br><br>
 In first case, the e-mail is composed of a customizable part to introduce a little welcome note and a fixed part containing the activation link that is generated from a random key that can possibly regenerate through the &quot;Tracking validations&quot; tab.<br><br>
@@ -114,5 +93,4 @@
 <br><br>
 Questa opzione &egrave; generalmente utilizzato con l\'assegnazione automatica di gruppo e / o statuto. Ad esempio, un utente che non ha convalidato la loro registrazione sar&agrave; ambientato in un gruppo specifico di utenti (con o senza le restrizioni alla galleria), mentre un utente che ha convalidato la sua registrazione &egrave; fissato in un &quot;normale&quot; del gruppo.';
-/*TODO*/$lang['UAM_RedirTitle'] = 'Redirect to &quot;Customization&quot; page';
 // --------- End: New or revised $lang ---- from version 2.15.4
 
@@ -125,6 +103,4 @@
 
 // --------- Starting below: New or revised $lang ---- from version 2.16.0
-$lang['UAM_confirmmail_custom1'] = 'Testo della pagina di conferma - Conferma accettati';
-$lang['UAM_confirmmail_custom2'] = 'Testo della pagina di conferma - Conferma respinto';
 /* TODO */$lang['UAM_miscTitle_d'] = '
 - Automatic or manual management of ghosts users<br>
@@ -141,5 +117,4 @@
 @hotmail.com -> esclusi gli indirizzi *@hotmail.com<br>
 @hotmail -> escludendo tutti gli indirizzi *@hotmail*';
-/* TODO */$lang['UAM_GTAutoTitle'] = 'Automatic management of ghosts users';
 /* TODO */$lang['UAM_GTAutoTitle_d'] = 'This option allows to apply rules for automated management of ghosts users.
 <br><br>Basic Principle: A user who reaches the maximum time between visits <b><u>and</u></b> has already been notified by email is considered as expired. Then you can apply automated processing rules such as automatic deletion of expired accounts or demotion by restricting access to the gallery (switch automatically to a restricted group and/or status).
@@ -149,11 +124,8 @@
 /* TODO */$lang['UAM_GTAutoGpTitle_d'] = 'The automatic change of group or status equivalent to a demotion of the accounts involved and working on the same principle as the group or the status of validation (see &quot;Setting confirmations and validations of registration&quot;). Therefore be to define a group and / or status demoting access to the gallery. If this has already been defined with the use of registration confirmation function, you can use the same group / status.<br><br>
 <b style=&quot;color: red;&quot;>Important note :</b> If a ghost user still has not heard from after the time limit and despite the automatic notification by email (if enabled), he\'s automatically deleted from the database.';
-/* TODO */$lang['UAM_GTAutoMailTitle'] = 'Automatically sending an email when changing group / status';
-/* TODO */$lang['UAM_AdminValidationMail'] = 'Notification of manual registration validation';
 // --------- End: New or revised $lang ---- from version 2.16.0
 
 
 // --------- Starting below: New or revised $lang ---- from version 2.20.0
-/* TODO */$lang['UAM_CustomPasswRetrTitle'] = 'Customize lost password email content';
 /* TODO */$lang['UAM_validationlimitTitle_d'] = 'This option allows to limit the validity of key validation email sent to new registrants. Visitors who register will have x days of time to validate their registration. After this period the validation link will expire.
 <br><br>
@@ -168,5 +140,4 @@
 <br><br>
 If this option and the option &quot;Deadline for registration validation limited&quot; are activated, new options will appear below in this section to enable the automation of unvalidated users management.';
-/*TODO*/$lang['UAM_USRAutoTitle'] = 'Automatic management of unvalidated users';
 /*TODO*/$lang['UAM_USRAutoTitle_d'] = 'Automatic handling of unvalidated visitors is triggered each time you connect to the gallery and works as follows:
 <br><br>
@@ -174,8 +145,5 @@
 <br><br>
 - Automatically sending a reminder message with a new generation of validation key and automatic deletion of accounts not validated in the time after sending the reminder -> &quot;Deadline for registration validation limited&quot; <b><u>enabled</u></b> et &quot;Remind unvalidated users&quot; <b><u>enabled</u></b>.';
-/*TODO*/$lang['UAM_USRAutoDelTitle'] = 'Custom message on deleted account';
-/*TODO*/$lang['UAM_USRAutoMailTitle'] = 'Automated email reminder';
 /*TODO*/$lang['UAM_USRAutoMailTitle_d'] = 'When activated, this function will automatically send personalized content in &quot;Reminder email with new key generated&quot; to visitors who match criteria.';
-$lang['UAM_StuffsTitle'] = 'modulo PWG Stuffs';
 /*TODO*/$lang['UAM_StuffsTitle_d'] = 'This enables an additional UAM block in PWG Stuffs plugin (if installed) to inform your visitors who did not validate their registration about their condition.
 <br><br>
@@ -185,5 +153,4 @@
 
 // --------- Starting below: New or revised $lang ---- from version 2.20.3
-/*TODO*/$lang['UAM_DumpTitle'] = 'Backup your configuration';
 /*TODO*/$lang['UAM_DumpTitle_d'] = 'This allows you to save the entire configuration of the plugin in a file so you can restore it if something goes wrong (wrong manipulation or before an update, for example). By default, the file is stored in this folder ../plugins/UserAdvManager/include/backup/ and is called &quot;UAM_dbbackup.sql&quot;.
 <br><br>
@@ -197,5 +164,4 @@
 
 // --------- Starting below: New or revised $lang ---- from version 2.20.4
-$lang['UAM_HidePasswTitle'] = 'Password in chiaro nelle informazioni e-mail';
 /*TODO*/$lang['UAM_HidePasswTitle_d'] = 'Choose here if you want to display the password chosen by the visitor in the information email. If you enable the option, the password will then appear in clear text. If you disable the password will not appear at all.';
 // --------- End: New or revised $lang ---- from version 2.20.4
Index: extensions/UserAdvManager/trunk/language/it_IT/plugin.lang.php
===================================================================
--- extensions/UserAdvManager/trunk/language/it_IT/plugin.lang.php	(revision 12205)
+++ extensions/UserAdvManager/trunk/language/it_IT/plugin.lang.php	(revision 12666)
@@ -195,5 +195,4 @@
 $lang['UAM_Confirm_Mail_true'] = ' Attivare - Validazione dal utente';
 $lang['UAM_Confirm_Mail_local'] = ' Attivare - Validazione dal amministratore (nessuna chiave di validazione inviata)';
-$lang['UAM_RedirToProfile'] = 'Ridirezione verso la pagina di personalizzazione';
 // --------- End: New or revised $lang ---- from version 2.15.4
 
@@ -204,6 +203,4 @@
 $lang['UAM_GTAuto'] = 'Gestione automatica degli utenti fantasmi';
 $lang['UAM_GTAutoDel'] = 'Cancellazione automatica dei conti';
-$lang['UAM_GTAutoGp'] = 'Cambiamento automatico del gruppo / statuto';
-$lang['UAM_GTAutoMail'] = 'Emailing di rilancio automatico per cambiamento gruppo / statuto';
 $lang['UAM_Deleted_Account_Redirection_Page'] = 'Accesso negato - Account cancellato!';
 $lang['UAM_title_redir_page'] = 'Accesso negato per causa di account cancellato!';
@@ -333,3 +330,15 @@
 $lang['UAM_Error_Using_illegal_flag'] = 'Errore di sintassi! La bandierina d\'inserzione automatica [Kdays] è usata senza che l\'opzione "Termine per la validazione dell\'iscrizione" è stata attivata. Siete pregati di attivare l\'opzione o correggere il(i) campo(i) di colore rosso.';
 // --------- End: New or revised $lang ---- from version 2.20.11
+
+
+// --------- Starting below: New or revised $lang ---- from version 2.30.2
+$lang['UAM_RedirToProfile'] = 'Ridirezione verso la pagina di personalizzazione';
+$lang['UAM_GTAutoGp'] = 'Cambiamento automatico del gruppo / statuto / livello di riservatezza';
+$lang['UAM_GTAutoMail'] = 'Emailing di rilancio automatico per cambiamento gruppo / statuto / livello di riservatezza';
+/*TODO*/$lang['UAM_NewFeature'] = 'New feature !';
+/*TODO*/$lang['UAM_RejectConnexion'] = 'Reject user\'s connexion until registration is validated';
+/*TODO*/$lang['UAM_RejectConnexion_Custom_Txt'] = 'Customize rejection text';
+/*TODO*/$lang['UAM_Default_RejectConnexion_Txt'] = 'Sorry, you don\'t have validate your registration yet, so you can\'t connect the gallery now. Please check your email box. You should find an email sent by the gallery, containing a link to perform your validation. If not, please contact the webmaster.';
+/*TODO*/$lang['UAM_Reject_Page_Title'] = 'Connexion not allowed !';
+// --------- End: New or revised $lang ---- from version 2.30.2
 ?>
